Index: trunk/src/world_entities/playable.cc
===================================================================
--- trunk/src/world_entities/playable.cc	(revision 7071)
+++ trunk/src/world_entities/playable.cc	(revision 7072)
@@ -125,9 +125,13 @@
 void Playable::collidesWith(WorldEntity* entity, const Vector& location)
 {
-  if (entity->isA(CL_PROJECTILE) && !State::isOnline() )
-  {
-    this->decreaseHealth(entity->getHealth());
+  if (entity == collider)
+    return;
+  collider = entity;
+
+  if (entity->isA(CL_PROJECTILE))
+  {
+    this->decreaseHealth(entity->getHealth() *(float)rand()/(float)RAND_MAX);
     // EXTREME HACK
-    if (this->getHealth() == 0.0f)
+    if (this->getHealth() <= 0.0f)
     {
       this->die();
@@ -157,4 +161,6 @@
   PRINTF(0)("Playable dies\n");
   // only if this is the spaceship of the player
+  if (State::isOnline())
+  {
   if( this == State::getPlayer()->getPlayable())
     State::getGameRules()->onPlayerDeath();
@@ -168,4 +174,5 @@
   this->setAbsCoor(0, 0, 0);
   this->emitter->setSystem(NULL);
+  }
 }
 
Index: trunk/src/world_entities/playable.h
===================================================================
--- trunk/src/world_entities/playable.h	(revision 7071)
+++ trunk/src/world_entities/playable.h	(revision 7072)
@@ -88,4 +88,6 @@
     DotEmitter*           emitter;
     SpriteParticles*      explosionParticles;
+
+    WorldEntity* collider;
 };
 
Index: trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- trunk/src/world_entities/projectiles/guided_missile.cc	(revision 7071)
+++ trunk/src/world_entities/projectiles/guided_missile.cc	(revision 7072)
@@ -43,5 +43,5 @@
   this->setHealthMax(10);
   this->lifeSpan = 10.0;
-  this->agility = 10;
+  this->agility = 1;
   this->maxVelocity = 75;
 
@@ -117,4 +117,6 @@
   this->emitter->setEmissionRate(45.0);
   this->emitter->setEmissionVelocity(0.0);
+
+  this->setHealth(10.0* (float)rand()/(float)RAND_MAX);
 }
 
Index: trunk/src/world_entities/space_ships/hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/hover.cc	(revision 7071)
+++ trunk/src/world_entities/space_ships/hover.cc	(revision 7072)
@@ -226,5 +226,7 @@
  */
 void Hover::collidesWith(WorldEntity* entity, const Vector& location)
-{}
+{
+  Playable::collidesWith(entity, location);
+}
 
 
Index: trunk/src/world_entities/space_ships/hover.h
===================================================================
--- trunk/src/world_entities/space_ships/hover.h	(revision 7071)
+++ trunk/src/world_entities/space_ships/hover.h	(revision 7072)
@@ -67,4 +67,5 @@
     float                 airViscosity;
 
+    WorldEntity* hitEntity;
 };
 
Index: trunk/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 7071)
+++ trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 7072)
@@ -116,4 +116,8 @@
   this->acceleration = 10.0f;
   this->airFriction = 2.0f;
+
+  this->setHealthMax(100);
+  this->setHealth(100);
+
 
   // camera - issue
@@ -256,5 +260,7 @@
  */
 void TurbineHover::collidesWith(WorldEntity* entity, const Vector& location)
-{}
+{
+  Playable::collidesWith(entity, location);
+}
 
 
Index: trunk/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/targeting_turret.cc	(revision 7071)
+++ trunk/src/world_entities/weapons/targeting_turret.cc	(revision 7072)
@@ -76,11 +76,11 @@
   animation2->setInfinity(ANIM_INF_CONSTANT);
 
-  this->setStateDuration(WS_SHOOTING, .1);
-  this->setStateDuration(WS_RELOADING, .1);
+  this->setStateDuration(WS_SHOOTING, .5);
+  this->setStateDuration(WS_RELOADING, 1.0);
   this->setStateDuration(WS_ACTIVATING, .4);
   this->setStateDuration(WS_DEACTIVATING, .4);
 
-  this->setEnergyMax(10000);
-  this->increaseEnergy(100000);
+  this->setEnergyMax(100);
+  this->increaseEnergy(100);
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_TURRET);
